// DarkClaw.h defines the AI class.

#ifndef __DARKCLAW_H__
#define __DARKCLAW_H__

enum eDarkClawState {STAND, WANDER, HUNT};

	class DarkClaw : public BaseClass
	{
		public:

			DDWORD	EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);
			DDWORD	ObjectMessageFn(HOBJECT hSender, DDWORD messageID, HMESSAGEREAD hRead);
			HOBJECT LocateOpponent(DVector position, DVector forward);
			void	AssignTarget(HOBJECT hObject);
			bool	OnSolid(DVector CurrentPos, DVector Forward);

            // indexes for animations
            DDWORD			m_WalkIndex;
            DDWORD			m_StandIndex;
            DDWORD			m_JumpIndex;
            DDWORD			m_CurrentAnimationIndex;

			bool			m_bPlayerInAir;
			eDarkClawState	m_ActionState;

            float m_Pitch;
            float m_Yaw;
            float m_Roll;

            HOBJECT m_hTarget;
	};


#endif  // __DARKCLAW_H__

