// Door.h

// Description
//    Header file that contains a class for a door object
// Revisions
//

#ifndef __DOORS_H__
#define __DOORS_H__
	enum eDOORACTION {STILL, CLOSED, BEGINOPENING, OPENING, OPEN, BEGINCLOSING, CLOSING, LOCKED, UNLOCKED};

	class cDoor : public BaseClass
	{
		public:

			cDoor();
			~cDoor();

			DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

			// The current action the NPC is engaged in
			enum eDOORACTION m_eAction;

			// The door's starting (closed) position, ending (open), the increment to move
			// the door, and the Direction to move the door.
			DVector m_StartPosition,m_EndPosition,m_Delta,m_Direction;			
	};
#endif  // __DOORS_H__