
#ifndef __SAMPLE_CLIENTSHELL_H__
#define __SAMPLE_CLIENTSHELL_H__

enum eGameState {GAME_PAUSED,GAME_MOVIE,GAME_PLAYING,GAME_OVER,GAME_MENU,GAME_LOADLEVEL};

class CSampleClientShell : public CClientShellDE
{
	public:

		CSampleClientShell();

		// Overrides from CClientShellDE.
		virtual DRESULT OnEngineInitialized(struct RMode_t *pMode, DGUID *pGuid);
		virtual void Update();

		virtual void OnEnterWorld();
		virtual void OnExitWorld();
		virtual void OnKeyDown(int key, int rep);
		virtual void OnCommandOn(int command);

		void UpdatePlayer();

		eGameState	m_nGameState;
		float		m_Yaw, m_Pitch, m_Roll;
		HLOCALOBJ	m_hCamera;
		cMusic		m_MusicTracker;
};
#endif  // __SAMPLE_CLIENTSHELL_H__
