// On-screen System Heads Up Display Header file
//
// Details:
//     The Heads Up Display (HUD) for the game in progress

#ifndef __CHUD_H
#define __CHUD_H

#include <BASEDEFS_DE.H>
#include <CPP_ClientShell_de.h>

typedef struct
{
	DDWORD ScreenWidth, ScreenHeight;
	DDWORD MidScreenWidth, MidScreenHeight;
} tDisplayStats;

class cHUD
{
	//Object Properties
	HSURFACE PrimarySurface;
	HSURFACE hsHUDArt;
	CClientShellDE * ShellPtr;
	tDisplayStats * DisplayStats;

  public:
	//Method Definitions
	cHUD();										//Default Constructor

	DBOOL init(CClientShellDE * PtrToShell,
			   char *szFilename,
			   HSURFACE DisplaySurf,
			   tDisplayStats * Display);				//Initialize the HUD

	DBOOL Render();										//Render the HUD to the Screen
};

#endif
