// --------------------------------
// File    : CoinObject.h
// Function: Game peice representing a coing piece the Player has to collect
// --------------------------------

#ifndef __COINOBJECT_H
#define __COINOBJECT_H

class Coin : public BaseClass
{
	public:
		Coin()
		{
			m_sndLastSound = DNULL;
		}
		// Engine message handlers
		DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

		// Play a specified sound
		void PlaySound(char *szSoundName);
	protected:
		// Things we get from the editor
		DVector		m_vColor1;
		long		m_CoinValue;

        // Last Sound that was played
        HSOUNDDE m_sndLastSound;

};

#endif // __COINOBJECT_H