// --------------------------------
// File    : LineSystem.h
// Function: Level Object used as the property placeholder for the
//         : Line System effect.
// --------------------------------

#ifndef __LINESYSTEM_H
#define __LINESYSTEM_H

class LineSystem : public BaseClass
{
	public:
		// Engine message handlers
		DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

	protected:
		// Things we get from the editor
		DVector		m_vStart;
		DVector		m_vEnd;
		DVector		m_vColor1;

};


#endif // __LINESYSTEM_H