// --------------------------------
// File    : ParticleSystem.h
// Function: Level Object used as the property placeholder for the
//         : Particle System effect.
//         : Heavily based on the Particle System Presented by
//         : Jeremy Blackman of Monolith.
// --------------------------------

#ifndef __PARTICLESYSTEM_H
#define __PARTICLESYSTEM_H

class ParticleSystem : public BaseClass
{
    public:
        // Engine message handlers
        DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

    protected:
        DVector     SystemBase;
        float       LightRadius;
        float       LightDuration;
};

#endif // __PARTICLESYSTEM_H
