// --------------------------------
// File    : PolyGridSource.h
// Function: Dummy object used as the location/dimensions for the
//         : polygrid client-side effect.
// --------------------------------

#ifndef __POLYGRIDSOURCE_H
#define __POLYGRIDSOURCE_H

class PolyGridSource : public BaseClass
{
	public:
		// Engine message handlers
		DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

	protected:
		// Things we get from the editor
		DVector		m_vDims;
		DVector		m_vColor1;
		DVector		m_vColor2;
		DFLOAT		m_fXScaleMin; 
		DFLOAT		m_fXScaleMax; 
		DFLOAT		m_fYScaleMin; 
		DFLOAT		m_fYScaleMax; 
		DFLOAT		m_fXScaleDuration;
		DFLOAT		m_fYScaleDuration;
		DFLOAT		m_fXPan;
		DFLOAT		m_fYPan;
		char		m_szSurfaceSprite[256];
		DBOOL		m_bTransparent;
		DDWORD		m_dwNumPolies;

};


#endif // __POLYGRIDSOURCE_H