
#ifndef __SAMPLE_CLIENTSHELL_H__
#define __SAMPLE_CLIENTSHELL_H__


	class CSampleClientShell : public CClientShellDE
	{
		public:

			CSampleClientShell();

			// Overrides from CClientShellDE.
			virtual DRESULT OnEngineInitialized(struct RMode_t *pMode, DGUID *pGuid);

			virtual void Update();

			virtual void OnEnterWorld();
			virtual void OnExitWorld();

			virtual void OnCommandOn(int command);

		private:
			float		m_Yaw, m_Pitch, m_Roll;
			HLOCALOBJ	m_hCamera;
	        DFLOAT      m_fCurrentFovX;     // The current (non-zoomed) Field of View


	};


#endif  // __SAMPLE_CLIENTSHELL_H__
