// On-screen System Heads Up Display Header file
// 
// Details:
//     The Heads Up Display (HUD) for the game in progress
//     
//     

#include "basedefs_de.h"
#include "cHud.h"

//cHUD Object
//Default Constructor for the HUD
cHUD::cHUD()
{
	// Set the rectangles for the Action States
	// Later, implement things like the rectangles that define the 
	// Display elements, individual elements in the HUD graphic that 
	// you are looking for
}

//Initializer for the HUD
DBOOL cHUD::init(CClientShellDE * PtrToShell, char *szFilename, HSURFACE DisplaySurf, tDisplayStats * Display)
{
	// Set the Primary Display Surface
	PrimarySurface = DisplaySurf;

	// What does the display look like?
	DisplayStats = Display;

	// And a pointer to the Client Shell
	ShellPtr = PtrToShell;

	// Load the HUD Graphics
	hsHUDArt = ShellPtr->GetClientDE()->CreateSurfaceFromBitmap(szFilename);

	return DTRUE;
}

// Render the HUD
DBOOL cHUD::Render()
{
	DRect DisplayRect;

	// HUD Posting time.  Check the Application state
	// Show the on-screen user information
	// Show the HUD Graphic Left Bottom
	// Set the Rectangle values 
	DisplayRect.left = 0;
	DisplayRect.top = 0;
	DisplayRect.right = 99;
	DisplayRect.bottom = 53;

	ShellPtr->GetClientDE()->DrawSurfaceToSurfaceTransparent(
									PrimarySurface,
									hsHUDArt,&DisplayRect,30,420,
									ShellPtr->GetClientDE()->CreateColor(1,0,1,DTRUE)
									);

	// Show the HUD Graphic Center Bottom 
	// Set the Rectangle values 
	DisplayRect.left = 0;
	DisplayRect.top = 110;
	DisplayRect.right = 299;
	DisplayRect.bottom = 159;

	ShellPtr->GetClientDE()->DrawSurfaceToSurfaceTransparent(
									PrimarySurface,
									hsHUDArt,&DisplayRect,180,429,
									ShellPtr->GetClientDE()->CreateColor(1,0,1,DTRUE)
									);
	// Show the HUD Graphic Right Bottom
	// Set the Rectangle values 
	DisplayRect.left = 0;
	DisplayRect.top = 54;
	DisplayRect.right = 99;
	DisplayRect.bottom = 110;

	ShellPtr->GetClientDE()->DrawSurfaceToSurfaceTransparent(
									PrimarySurface,
									hsHUDArt,&DisplayRect,530,420,
									ShellPtr->GetClientDE()->CreateColor(1,0,1,DTRUE)
									);

	return DTRUE;
}
